Package com.avaya.clientservices.messaging.enums

## Enum MessagingParticipantPhoneNumberType

- java.lang.Object
- - java.lang.Enum<MessagingParticipantPhoneNumberType>
  - - com.avaya.clientservices.messaging.enums.MessagingParticipantPhoneNumberType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MessagingParticipantPhoneNumberType>`

      public enum MessagingParticipantPhoneNumberType
      extends java.lang.Enum<MessagingParticipantPhoneNumberType>

  Represents the type of phone number.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CUSTOM` | Custom phone number type.
    `FAX` | Fax phone number type.
    `HOME` | Home phone number type.
    `MOBILE` | Mobile phone number type.
    `PAGER` | Pager phone number type.
    `UNDEFINED` | Type could not be determined.
    `WORK` | Work phone number type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MessagingParticipantPhoneNumberType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MessagingParticipantPhoneNumberType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final MessagingParticipantPhoneNumberType UNDEFINED

      Type could not be determined.

    - #### WORK

          public static final MessagingParticipantPhoneNumberType WORK

      Work phone number type.

    - #### MOBILE

          public static final MessagingParticipantPhoneNumberType MOBILE

      Mobile phone number type.

    - #### HOME

          public static final MessagingParticipantPhoneNumberType HOME

      Home phone number type.

    - #### PAGER

          public static final MessagingParticipantPhoneNumberType PAGER

      Pager phone number type.

    - #### FAX

          public static final MessagingParticipantPhoneNumberType FAX

      Fax phone number type.

    - #### CUSTOM

          public static final MessagingParticipantPhoneNumberType CUSTOM

      Custom phone number type. Actual value can be read from `MessagingParticipantPhoneNumber.getCustomType()`

  - ### Method Detail

    - #### values

          public static MessagingParticipantPhoneNumberType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessagingParticipantPhoneNumberType c : MessagingParticipantPhoneNumberType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessagingParticipantPhoneNumberType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null